import * as React from "react";
declare type CustomSelectProps = {
    children: React.ReactNode;
    options: Array<{
        id: number | string;
        value: string;
    }>;
    name: string;
    value: string;
    onChange: (e: React.ChangeEvent<HTMLInputElement>) => void;
    onBlur: (e: React.FocusEvent<HTMLInputElement>) => void;
};
declare function CustomSelect({ children, options, name, value, onChange, onBlur, ...props }: CustomSelectProps): JSX.Element;
export default CustomSelect;
//# sourceMappingURL=custom-select.d.ts.map