import * as React from "react";
import type { TValidation } from "./use-validation";
import { TFormContext } from "./form-provider";
declare type FormProps = {
    formHelpers: TFormContext;
    onSubmit: (e: React.FormEvent<HTMLFormElement>) => void;
    validation: TValidation<unknown>;
    children: React.ReactNode;
};
declare const useValidationContext: () => TValidation<unknown> | null;
declare function Form({ formHelpers, onSubmit, validation, children, ...props }: FormProps): JSX.Element;
export { Form, useValidationContext };
//# sourceMappingURL=form.d.ts.map