/// <reference types="react" />
import type { TValidation } from "./use-validation";
declare function useFormAssist<TValues>(initialValues: TValues, validationOptions?: TValidation<TValues>): {
    formHelpers: {
        values: TValues;
        setValues: import("react").Dispatch<import("react").SetStateAction<TValues>>;
        errors: import("./use-form").Errors<TValues>;
        setErrors: import("react").Dispatch<import("react").SetStateAction<import("./use-form").Errors<TValues>>>;
        touched: import("./use-form").Touched<TValues>;
        handleChange: (e: import("react").ChangeEvent<HTMLInputElement>) => void;
        handleBlur: (e: import("react").FocusEvent<HTMLInputElement>) => void;
        resetForm: () => void;
        touchAllFields: () => void;
    };
    validation: TValidation<TValues>;
};
export default useFormAssist;
//# sourceMappingURL=use-form-assist.d.ts.map