"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var use_form_1 = require("./use-form");
var use_validation_1 = require("./use-validation");
function useFormAssist(initialValues, validationOptions) {
    if (validationOptions === void 0) { validationOptions = {}; }
    var formHelpers = use_form_1.useForm(initialValues);
    var validation = use_validation_1.useValidation(initialValues, validationOptions);
    return { formHelpers: formHelpers, validation: validation };
}
exports.default = useFormAssist;
//# sourceMappingURL=use-form-assist.js.map