/// <reference types="react" />
import type { Errors } from "./use-form";
declare type ValidationProps<TValidation> = {
    errors: Errors<unknown>;
    setErrors: React.Dispatch<React.SetStateAction<Errors<unknown>>>;
    targetName: string;
    newValue: string | boolean;
    context: TValidation;
};
declare function validateErrors<TValidation>({ errors, setErrors, targetName, newValue, context, }: ValidationProps<TValidation>): string;
export default validateErrors;
//# sourceMappingURL=validate-errors.d.ts.map