declare type TValidation<TValues> = {
    [key in keyof TValues]?: {
        required?: boolean;
        maxCharacters?: number;
        minCharacters?: number;
        email?: boolean;
    };
};
declare function useValidation<TValues>(_formValues: TValues, validationOptions: TValidation<TValues>): TValidation<TValues>;
export type { TValidation };
export { useValidation };
//# sourceMappingURL=use-validation.d.ts.map